Bug 963931 - Set correct ownership/SEL context of V2 cartridge directory during migration before re-lock
Set correct ownership/SEL context of V2 cartridge directory during migration ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Morie
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 15:23 EDT by Paul Morie
Modified: 2015-05-14 19:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 23:59:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Morie 2013-05-16 15:23:14 EDT
Set correct ownership/SEL context of V2 cartridge directory during migration before re-lock
Comment 1 Paul Morie 2013-05-16 17:28:04 EDT
PR submitted
Comment 3 Meng Bo 2013-05-20 04:26:42 EDT
Checked on devenv_3247, SELinux context had been reset during migration.

Marking step mongodb_hook complete
Marking step mongodb_ownership complete   <------------
Marking step mongodb_connect_frontend complete
Pre-migration state: started
Post-migration response code: 200
Marking step validate_gear complete
Cleaning up after migration***time_migrate_on_node_measured_from_node=89110***

***time_redeploy_httpd_proxy=0***
***time_restart=0***
***time_total_migrate_gear_measured_from_broker=89434***


The current context of the gear dir is:
system_u:object_r:openshift_var_lib_t:s0:c0,c507

Note You need to log in before you can comment on or make changes to this bug.